<html>
<head>
<title>OGRE: Ogre::BillboardSet::SortByDirectionFunctor Struct Reference - OGRE Documentation</title> <meta http-equiv="Content-Type" content="text/html; charset=iso-8859-1"> 
<link type="text/css" rel="stylesheet" href="doxygen.css">
<link type="text/css" rel="stylesheet" href="tabs.css">
</head>

<body>
<!-- Generated by Doxygen 1.5.3 -->
<div class="tabs">
  <ul>
    <li><a href="index.html"><span>Main&nbsp;Page</span></a></li>
    <li><a href="namespaces.html"><span>Namespaces</span></a></li>
    <li class="current"><a href="classes.html"><span>Classes</span></a></li>
    <li><a href="files.html"><span>Files</span></a></li>
    <li><a href="dirs.html"><span>Directories</span></a></li>
    <li><a href="pages.html"><span>Related&nbsp;Pages</span></a></li>
  </ul>
</div>
<div class="tabs">
  <ul>
    <li><a href="classes.html"><span>Alphabetical&nbsp;List</span></a></li>
    <li><a href="annotated.html"><span>Class&nbsp;List</span></a></li>
    <li><a href="hierarchy.html"><span>Class&nbsp;Hierarchy</span></a></li>
    <li><a href="functions.html"><span>Class&nbsp;Members</span></a></li>
  </ul>
</div>
<div class="nav">
<a class="el" href="namespaceOgre.html">Ogre</a>::<a class="el" href="classOgre_1_1BillboardSet.html">BillboardSet</a>::<a class="el" href="structOgre_1_1BillboardSet_1_1SortByDirectionFunctor.html">SortByDirectionFunctor</a></div>
<h1>Ogre::BillboardSet::SortByDirectionFunctor Struct Reference</h1><!-- doxytag: class="Ogre::BillboardSet::SortByDirectionFunctor" -->Sort by direction functor.  
<a href="#_details">More...</a>
<p>
<code>#include &lt;<a class="el" href="OgreBillboardSet_8h-source.html">OgreBillboardSet.h</a>&gt;</code>
<p>

<p>
<a href="structOgre_1_1BillboardSet_1_1SortByDirectionFunctor-members.html">List of all members.</a><table border="0" cellpadding="0" cellspacing="0">
<tr><td></td></tr>
<tr><td colspan="2"><br><h2>Public Member Functions</h2></td></tr>
<tr><td class="memItemLeft" nowrap align="right" valign="top">&nbsp;</td><td class="memItemRight" valign="bottom"><a class="el" href="structOgre_1_1BillboardSet_1_1SortByDirectionFunctor.html#76c5ed9cd23a4e4fdaa779e95b98f479">SortByDirectionFunctor</a> (const <a class="el" href="classOgre_1_1Vector3.html">Vector3</a> &amp;dir)</td></tr>

<tr><td class="memItemLeft" nowrap align="right" valign="top">float&nbsp;</td><td class="memItemRight" valign="bottom"><a class="el" href="structOgre_1_1BillboardSet_1_1SortByDirectionFunctor.html#d054499a0ed9f9c4489d1c39b4d2cc1d">operator()</a> (<a class="el" href="classOgre_1_1Billboard.html">Billboard</a> *bill) const </td></tr>

<tr><td colspan="2"><br><h2>Public Attributes</h2></td></tr>
<tr><td class="memItemLeft" nowrap align="right" valign="top"><a class="el" href="classOgre_1_1Vector3.html">Vector3</a>&nbsp;</td><td class="memItemRight" valign="bottom"><a class="el" href="structOgre_1_1BillboardSet_1_1SortByDirectionFunctor.html#176f7142382739d74eef63c9f26beee2">sortDir</a></td></tr>

<tr><td class="mdescLeft">&nbsp;</td><td class="mdescRight">Direction to sort in.  <a href="#176f7142382739d74eef63c9f26beee2"></a><br></td></tr>
</table>
<hr><a name="_details"></a><h2>Detailed Description</h2>
Sort by direction functor. 
<p>Definition at line <a class="el" href="OgreBillboardSet_8h-source.html#l00260">260</a> of file <a class="el" href="OgreBillboardSet_8h-source.html">OgreBillboardSet.h</a>.</p>
<hr><h2>Constructor &amp; Destructor Documentation</h2>
<a class="anchor" name="76c5ed9cd23a4e4fdaa779e95b98f479"></a><!-- doxytag: member="Ogre::BillboardSet::SortByDirectionFunctor::SortByDirectionFunctor" ref="76c5ed9cd23a4e4fdaa779e95b98f479" args="(const Vector3 &amp;dir)" -->
<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">Ogre::BillboardSet::SortByDirectionFunctor::SortByDirectionFunctor           </td>
          <td>(</td>
          <td class="paramtype">const <a class="el" href="classOgre_1_1Vector3.html">Vector3</a> &amp;&nbsp;</td>
          <td class="paramname"> <em>dir</em>          </td>
          <td>&nbsp;)&nbsp;</td>
          <td width="100%"></td>
        </tr>
      </table>
</div>
<div class="memdoc">

<p>

</div>
</div><p>
<hr><h2>Member Function Documentation</h2>
<a class="anchor" name="d054499a0ed9f9c4489d1c39b4d2cc1d"></a><!-- doxytag: member="Ogre::BillboardSet::SortByDirectionFunctor::operator()" ref="d054499a0ed9f9c4489d1c39b4d2cc1d" args="(Billboard *bill) const " -->
<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">float Ogre::BillboardSet::SortByDirectionFunctor::operator()           </td>
          <td>(</td>
          <td class="paramtype"><a class="el" href="classOgre_1_1Billboard.html">Billboard</a> *&nbsp;</td>
          <td class="paramname"> <em>bill</em>          </td>
          <td>&nbsp;)&nbsp;</td>
          <td width="100%"> const</td>
        </tr>
      </table>
</div>
<div class="memdoc">

<p>

</div>
</div><p>
<hr><h2>Member Data Documentation</h2>
<a class="anchor" name="176f7142382739d74eef63c9f26beee2"></a><!-- doxytag: member="Ogre::BillboardSet::SortByDirectionFunctor::sortDir" ref="176f7142382739d74eef63c9f26beee2" args="" -->
<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname"><a class="el" href="classOgre_1_1Vector3.html">Vector3</a> <a class="el" href="structOgre_1_1BillboardSet_1_1SortByDirectionFunctor.html#176f7142382739d74eef63c9f26beee2">Ogre::BillboardSet::SortByDirectionFunctor::sortDir</a>          </td>
        </tr>
      </table>
</div>
<div class="memdoc">

<p>
Direction to sort in. 
<p>

<p>Definition at line <a class="el" href="OgreBillboardSet_8h-source.html#l00263">263</a> of file <a class="el" href="OgreBillboardSet_8h-source.html">OgreBillboardSet.h</a>.</p>

</div>
</div><p>
<hr>The documentation for this struct was generated from the following file:<ul>
<li><a class="el" href="OgreBillboardSet_8h-source.html">OgreBillboardSet.h</a></ul>
<hr>
<p>
Copyright &copy; 2000-2005 by The OGRE Team<br />
<!--Creative Commons License--><a rel="license" href="http://creativecommons.org/licenses/by-sa/2.5/"><img alt="Creative Commons License" border="0" src="http://creativecommons.org/images/public/somerights20.png"/></a><br/>
This work is licensed under a <a rel="license" href="http://creativecommons.org/licenses/by-sa/2.5/">Creative Commons Attribution-ShareAlike 2.5 License</a>.<br/>
		<!--/Creative Commons License--><!-- <rdf:RDF xmlns="http://web.resource.org/cc/" xmlns:dc="http://purl.org/dc/elements/1.1/" xmlns:rdf="http://www.w3.org/1999/02/22-rdf-syntax-ns#">
		<Work rdf:about="">
			<license rdf:resource="http://creativecommons.org/licenses/by-sa/2.5/" />
	<dc:type rdf:resource="http://purl.org/dc/dcmitype/Text" />
		</Work>
		<License rdf:about="http://creativecommons.org/licenses/by-sa/2.5/"><permits rdf:resource="http://web.resource.org/cc/Reproduction"/><permits rdf:resource="http://web.resource.org/cc/Distribution"/><requires rdf:resource="http://web.resource.org/cc/Notice"/><requires rdf:resource="http://web.resource.org/cc/Attribution"/><permits rdf:resource="http://web.resource.org/cc/DerivativeWorks"/><requires rdf:resource="http://web.resource.org/cc/ShareAlike"/></License></rdf:RDF> -->

Last modified Mon Jun 16 12:49:13 2008
</p>
</body>
</html>
